List node groups
import requests
url = "https://platform.ankra.app/api/v1/clusters/morpheus/{cluster_id}/node-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/morpheus/{cluster_id}/node-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/morpheus/{cluster_id}/node-groups \
--header 'Authorization: Bearer <token>'{
"node_groups": [
{
"count": 123,
"instance_type": "<string>",
"name": "<string>",
"swap_gibibytes": 123,
"swap_behavior": "<string>",
"swap_active_count": 123,
"workers_without_swap": [
"<string>"
],
"workers_swap_unknown": [
"<string>"
],
"availability_zones": [
"<string>"
],
"cpu_pool": "<string>",
"disk_gibibytes": 123,
"disk_tier": "<string>",
"labels": {},
"max": 100,
"min": 0,
"taints": [
{
"effect": "NoSchedule",
"key": "<string>",
"value": ""
}
],
"zones": [
"<string>"
]
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}HPE Morpheus Clusters
List node groups
Lists the cluster’s worker node groups with each group’s instance type, node count, autoscaling bounds, labels and taints. On HPE Morpheus the instance type is a service-plan ID from the plans catalog, sent as a string; anything that is not an integer is refused.
GET
/
api
/
v1
/
clusters
/
morpheus
/
{cluster_id}
/
node-groups
List node groups
import requests
url = "https://platform.ankra.app/api/v1/clusters/morpheus/{cluster_id}/node-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/morpheus/{cluster_id}/node-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/morpheus/{cluster_id}/node-groups \
--header 'Authorization: Bearer <token>'{
"node_groups": [
{
"count": 123,
"instance_type": "<string>",
"name": "<string>",
"swap_gibibytes": 123,
"swap_behavior": "<string>",
"swap_active_count": 123,
"workers_without_swap": [
"<string>"
],
"workers_swap_unknown": [
"<string>"
],
"availability_zones": [
"<string>"
],
"cpu_pool": "<string>",
"disk_gibibytes": 123,
"disk_tier": "<string>",
"labels": {},
"max": 100,
"min": 0,
"taints": [
{
"effect": "NoSchedule",
"key": "<string>",
"value": ""
}
],
"zones": [
"<string>"
]
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}